<template src="./template.html"/>

<script>
    import axios from 'axios';
    import {store} from "../../../../store/store";

    export default {
        name: "ShopValidation",
        data() {
            return {
                shops: null,
                ownerEmailData: {
                    id: null,
                    shopName: '',
                    email: ''
                },

                fields: [
                    {
                        key: 'name',
                        label: 'Nome'
                    },
                    {
                        key: 'description',
                        label: 'Descrizione'
                    },
                    {
                        key: 'ownerEmail',
                        label: 'Email di accesso'
                    },
                    {
                        key: 'validate',
                        label: ''
                    },
                    {
                        key: 'edit',
                        label: ''
                    },
                    {
                        key: 'delete',
                        label: ''
                    }
                ]
            }
        },
        mounted() {
            this.loadShops();
        },
        computed: {
            ownerEmailValid() {
                return !!this.ownerEmailData.email;
            }
        },
        methods: {
            loadShops() {
                axios({
                    method: "GET",
                    url: '/Store/admin/tovalidate',
                    headers: {
                        Authorization: 'Bearer ' + store.getters.token
                    }
                }).then(response => {
                    this.shops = response.data;
                }).catch(error => {
                    console.log(error)
                });
            },
            validateShop(id) {
                console.log(id);
                axios({
                    method: "GET",
                    url: 'store/admin/validate/' + id,
                    headers: {
                        Authorization: 'Bearer ' + store.getters.token
                    }
                })
                .then(() => {
                      this.$bvModal.msgBoxOk("Negozio validato con successo!");
                      this.loadShops();
                })
                .catch(error => {
                    this.$bvModal.msgBoxOk(error.response.data.error, {
                        title: 'Attenzione',
                        okVariant: 'primary'
                    });
                });
            },
            editShop(id) {
                this.$router.push('/dashboard/modifica-negozio/' + id);
            },
            deleteShop(id, shopName) {
                if(confirm('Sei sicuro di voler eliminare definitivamente questo negozio?\n' + shopName)) {
                    axios({
                        method: 'DELETE',
                        url: 'store/admin/' + id,
                        headers: {
                            Authorization: 'Bearer ' + store.getters.token
                        }
                    }).then(() => {
                        this.loadShops();
                    }).catch(error => {
                        this.error = error.response.data.error;
                    });
                }
            }
        }
    }
</script>
